---
title: Update Org Connection
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Connections
---

# Update Org Connection{% #update-org-connection %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/org_connections/{connection_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/org_connections/{connection_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/org_connections/{connection_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/org_connections/{connection_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/org_connections/{connection_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/org_connections/{connection_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/org_connections/{connection_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/org_connections/{connection_id} |

### Overview

Update an existing org connection. This endpoint requires the `org_connections_write` permission.

OAuth apps require the `org_connections_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#org-connections) to access this endpoint.



### Arguments

#### Path Parameters

| Name                            | Type   | Description                                  |
| ------------------------------- | ------ | -------------------------------------------- |
| connection_id [*required*] | string | The unique identifier of the org connection. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                              | Type     | Description                                                |
| ------------ | ---------------------------------- | -------- | ---------------------------------------------------------- |
|              | data [*required*]             | object   | Org connection update data.                                |
| data         | attributes [*required*]       | object   | Attributes for updating an org connection.                 |
| attributes   | connection_types [*required*] | [string] | Updated list of connection types.                          |
| data         | id [*required*]               | uuid     | The unique identifier of the org connection.               |
| data         | type [*required*]             | enum     | Org connection type. Allowed enum values: `org_connection` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "type": "org_connection",
    "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
    "attributes": {
      "connection_types": [
        "logs",
        "metrics"
      ]
    }
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single org connection.

| Parent field  | Field                              | Type      | Description                                                            |
| ------------- | ---------------------------------- | --------- | ---------------------------------------------------------------------- |
|               | data [*required*]             | object    | An org connection.                                                     |
| data          | attributes [*required*]       | object    | Org connection attributes.                                             |
| attributes    | connection_types [*required*] | [string]  | List of connection types.                                              |
| attributes    | created_at [*required*]       | date-time | Timestamp when the connection was created.                             |
| data          | id [*required*]               | uuid      | The unique identifier of the org connection.                           |
| data          | relationships [*required*]    | object    | Related organizations and user.                                        |
| relationships | created_by                         | object    | User relationship.                                                     |
| created_by    | data                               | object    | The data for a user relationship.                                      |
| data          | id                                 | string    | User UUID.                                                             |
| data          | name                               | string    | User name.                                                             |
| data          | type                               | enum      | The type of the user relationship. Allowed enum values: `users`        |
| relationships | sink_org                           | object    | Org relationship.                                                      |
| sink_org      | data                               | object    | The definition of `OrgConnectionOrgRelationshipData` object.           |
| data          | id                                 | string    | Org UUID.                                                              |
| data          | name                               | string    | Org name.                                                              |
| data          | type                               | enum      | The type of the organization relationship. Allowed enum values: `orgs` |
| relationships | source_org                         | object    | Org relationship.                                                      |
| source_org    | data                               | object    | The definition of `OrgConnectionOrgRelationshipData` object.           |
| data          | id                                 | string    | Org UUID.                                                              |
| data          | name                               | string    | Org name.                                                              |
| data          | type                               | enum      | The type of the organization relationship. Allowed enum values: `orgs` |
| data          | type [*required*]             | enum      | Org connection type. Allowed enum values: `org_connection`             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "connection_types": [
        "logs",
        "metrics"
      ],
      "created_at": "2023-01-01T12:00:00Z"
    },
    "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
    "relationships": {
      "created_by": {
        "data": {
          "id": "usr123abc456",
          "name": "John Doe",
          "type": "users"
        }
      },
      "sink_org": {
        "data": {
          "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
          "name": "Example Org",
          "type": "orgs"
        }
      },
      "source_org": {
        "data": {
          "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
          "name": "Example Org",
          "type": "orgs"
        }
      }
    },
    "type": "org_connection"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export connection_id="f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/org_connections/${connection_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "connection_types": [
        "logs",
        "metrics"
      ]
    },
    "id": "f9ec96b0-8c8a-4b0a-9b0a-1b2c3d4e5f6a",
    "type": "org_connection"
  }
}
EOF 
                        
##### 

```go
// Update Org Connection returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	// there is a valid "org_connection" in the system
	OrgConnectionDataID := uuid.MustParse(os.Getenv("ORG_CONNECTION_DATA_ID"))

	body := datadogV2.OrgConnectionUpdateRequest{
		Data: datadogV2.OrgConnectionUpdate{
			Type: datadogV2.ORGCONNECTIONTYPE_ORG_CONNECTION,
			Id:   OrgConnectionDataID,
			Attributes: datadogV2.OrgConnectionUpdateAttributes{
				ConnectionTypes: []datadogV2.OrgConnectionTypeEnum{
					datadogV2.ORGCONNECTIONTYPEENUM_LOGS,
					datadogV2.ORGCONNECTIONTYPEENUM_METRICS,
				},
			},
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgConnectionsApi(apiClient)
	resp, r, err := api.UpdateOrgConnections(ctx, OrgConnectionDataID, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgConnectionsApi.UpdateOrgConnections`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgConnectionsApi.UpdateOrgConnections`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update Org Connection returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgConnectionsApi;
import com.datadog.api.client.v2.model.OrgConnectionResponse;
import com.datadog.api.client.v2.model.OrgConnectionType;
import com.datadog.api.client.v2.model.OrgConnectionTypeEnum;
import com.datadog.api.client.v2.model.OrgConnectionUpdate;
import com.datadog.api.client.v2.model.OrgConnectionUpdateAttributes;
import com.datadog.api.client.v2.model.OrgConnectionUpdateRequest;
import java.util.Arrays;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OrgConnectionsApi apiInstance = new OrgConnectionsApi(defaultClient);

    // there is a valid "org_connection" in the system
    UUID ORG_CONNECTION_DATA_ID = null;
    try {
      ORG_CONNECTION_DATA_ID = UUID.fromString(System.getenv("ORG_CONNECTION_DATA_ID"));
    } catch (IllegalArgumentException e) {
      System.err.println("Error parsing UUID: " + e.getMessage());
    }

    OrgConnectionUpdateRequest body =
        new OrgConnectionUpdateRequest()
            .data(
                new OrgConnectionUpdate()
                    .type(OrgConnectionType.ORG_CONNECTION)
                    .id(ORG_CONNECTION_DATA_ID)
                    .attributes(
                        new OrgConnectionUpdateAttributes()
                            .connectionTypes(
                                Arrays.asList(
                                    OrgConnectionTypeEnum.LOGS, OrgConnectionTypeEnum.METRICS))));

    try {
      OrgConnectionResponse result = apiInstance.updateOrgConnections(ORG_CONNECTION_DATA_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgConnectionsApi#updateOrgConnections");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Update Org Connection returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_connections_api import OrgConnectionsApi
from datadog_api_client.v2.model.org_connection_type import OrgConnectionType
from datadog_api_client.v2.model.org_connection_type_enum import OrgConnectionTypeEnum
from datadog_api_client.v2.model.org_connection_update import OrgConnectionUpdate
from datadog_api_client.v2.model.org_connection_update_attributes import OrgConnectionUpdateAttributes
from datadog_api_client.v2.model.org_connection_update_request import OrgConnectionUpdateRequest

# there is a valid "org_connection" in the system
ORG_CONNECTION_DATA_ID = environ["ORG_CONNECTION_DATA_ID"]

body = OrgConnectionUpdateRequest(
    data=OrgConnectionUpdate(
        type=OrgConnectionType.ORG_CONNECTION,
        id=ORG_CONNECTION_DATA_ID,
        attributes=OrgConnectionUpdateAttributes(
            connection_types=[
                OrgConnectionTypeEnum.LOGS,
                OrgConnectionTypeEnum.METRICS,
            ],
        ),
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OrgConnectionsApi(api_client)
    response = api_instance.update_org_connections(connection_id=ORG_CONNECTION_DATA_ID, body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update Org Connection returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OrgConnectionsAPI.new

# there is a valid "org_connection" in the system
ORG_CONNECTION_DATA_ID = ENV["ORG_CONNECTION_DATA_ID"]

body = DatadogAPIClient::V2::OrgConnectionUpdateRequest.new({
  data: DatadogAPIClient::V2::OrgConnectionUpdate.new({
    type: DatadogAPIClient::V2::OrgConnectionType::ORG_CONNECTION,
    id: ORG_CONNECTION_DATA_ID,
    attributes: DatadogAPIClient::V2::OrgConnectionUpdateAttributes.new({
      connection_types: [
        DatadogAPIClient::V2::OrgConnectionTypeEnum::LOGS,
        DatadogAPIClient::V2::OrgConnectionTypeEnum::METRICS,
      ],
    }),
  }),
})
p api_instance.update_org_connections(ORG_CONNECTION_DATA_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Update Org Connection returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_connections::OrgConnectionsAPI;
use datadog_api_client::datadogV2::model::OrgConnectionType;
use datadog_api_client::datadogV2::model::OrgConnectionTypeEnum;
use datadog_api_client::datadogV2::model::OrgConnectionUpdate;
use datadog_api_client::datadogV2::model::OrgConnectionUpdateAttributes;
use datadog_api_client::datadogV2::model::OrgConnectionUpdateRequest;

#[tokio::main]
async fn main() {
    // there is a valid "org_connection" in the system
    let org_connection_data_id =
        uuid::Uuid::parse_str(&std::env::var("ORG_CONNECTION_DATA_ID").unwrap())
            .expect("Invalid UUID");
    let body = OrgConnectionUpdateRequest::new(OrgConnectionUpdate::new(
        OrgConnectionUpdateAttributes::new(vec![
            OrgConnectionTypeEnum::LOGS,
            OrgConnectionTypeEnum::METRICS,
        ]),
        org_connection_data_id.clone(),
        OrgConnectionType::ORG_CONNECTION,
    ));
    let configuration = datadog::Configuration::new();
    let api = OrgConnectionsAPI::with_config(configuration);
    let resp = api
        .update_org_connections(org_connection_data_id.clone(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update Org Connection returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OrgConnectionsApi(configuration);

// there is a valid "org_connection" in the system
const ORG_CONNECTION_DATA_ID = process.env.ORG_CONNECTION_DATA_ID as string;

const params: v2.OrgConnectionsApiUpdateOrgConnectionsRequest = {
  body: {
    data: {
      type: "org_connection",
      id: ORG_CONNECTION_DATA_ID,
      attributes: {
        connectionTypes: ["logs", "metrics"],
      },
    },
  },
  connectionId: ORG_CONNECTION_DATA_ID,
};

apiInstance
  .updateOrgConnections(params)
  .then((data: v2.OrgConnectionResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
